#
# spec file for package libalkimia
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libalkimia
Version:        4.3.2
Release:        12.1
Summary:        Library with common classes and functionality used by finance applications
License:        LGPL-2.1+
Group:          System/Libraries
Url:            http://kde-apps.org/content/show.php/libalkimia?content=137323
Source0:        http://kde-apps.org/CONTENT/content-files/137323-%{name}-%{version}.tar.bz2
BuildRequires:  doxygen
BuildRequires:  gmp-devel
BuildRequires:  libkde4-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
libalkimia is a library with common classes and functionality used by finance
applications for the KDE SC.

%package devel
Summary:        Development Files for libalkimia
Group:          Development/Languages/C and C++
Requires:       libalkimia4 = %{version}

%description devel
The development files for libalkimia.

%package -n libalkimia4
Summary:        Library with common classes and functionality used by finance applications
Group:          System/Libraries

%description -n libalkimia4
libalkimia is a library with common classes and functionality used by finance
applications for the KDE SC.

%prep
%setup -q

%build
%cmake_kde4 -d build
%make_jobs

%install
cd build
%kde4_makeinstall
cd ..

%post -n libalkimia4 -p /sbin/ldconfig

%postun -n libalkimia4 -p /sbin/ldconfig

%files devel
%defattr(-,root,root,-)
%doc libalkimia/{ChangeLog,ReleaseLog}
%{_kde4_appsdir}/cmake/modules/FindLibAlkimia.cmake
%{_kde4_includedir}/alkimia/
%{_kde4_libdir}/libalkimia.so
%{_libdir}/pkgconfig/libalkimia.pc

%files -n libalkimia4
%defattr(-,root,root,-)
%{_kde4_libdir}/libalkimia.so.4*

%changelog
* Fri Jan 20 2012 asterios.dramis@gmail.com
- Update to version 4.3.2:
  * Bugfix release.
* Tue Aug  9 2011 asterios.dramis@gmail.com
- Initial release (version 4.3.1).
